Skip to main content
GET
/
api
/
public
/
email-campaign
/
{id}
Get a single email campaign
curl --request GET \
  --url https://api.vambe.me/api/public/email-campaign/{id} \
  --header 'x-api-key: <x-api-key>'
{
  "id": "<string>",
  "title": "<string>",
  "status": "draft",
  "email_template_id": "<string>",
  "email_channel_id": "<string>",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "sent_at": "2023-11-07T05:31:56Z",
  "total_recipients": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vambe.me/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-api-key
string
required

API key needed to authorize the request

Path Parameters

id
string<uuid>
required

Response

id
string
required
title
string
required
status
enum<string>
required
Available options:
draft,
scheduled,
sending,
sent,
failed
email_template_id
string
required
email_channel_id
string
required
scheduled_at
string<date-time> | null
required
sent_at
string<date-time> | null
required
total_recipients
number
required
created_at
string<date-time>
required